# accountfree-docker
---

This repository contains the Dockerfiles required to build AccountFree:    
- ubuntu-pyside2-xvfb: Ubuntu focal base containing PySide2 (Qt for Python) & Xvfb (virtual X server that does not require a display).    
- ubuntu-pyside2-xvfb-wine: Contains the latest wine installation, with Windows python3, PySide2 & pyinstaller + Xvfb.    
- accountfree-build-img: Based on ubuntu-pyside2-xvfb, contains AccountFree dependencies to build it's Linux packages.    
- accountfree-build-img: Based on ubuntu-pyside2-xvfb-wine, contains AccountFree dependencies to build it's Windows installer.    

NOTE: In Docker, use xvfb-runto run a program within a Xvfb server.
